Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87397 - System crashes with hundreds of -bash spawned (1 user)
Summary: System crashes with hundreds of -bash spawned (1 user)
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL: http://www.eatontown.net
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 16:59 UTC by Carl Eaton
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-29 01:25:02 UTC


Attachments (Terms of Use)

Description Carl Eaton 2003-03-26 16:59:23 UTC
Description of problem:
System will lock up after few seconds of use.  Most notably
after logging in using ssh.  A "ps -ef" reveals hundreds of -bash 
spawned.  After that, "cat /proc/meminfo" shows no memory left.

Bug, s/w gone bad, or Virus?  

Version-Release number of selected component (if applicable):
7.3  All updates possible installed. (Have subscription)

How reproducible:
Very

Steps to Reproduce:
1.Login - especially with ssh
2."l" and "cd" some
3.check ps table and /proc/meminfo
    
Actual results:
System locks up after a few minutes.

Expected results:
Not lock up.  Not spawn hundreds of -bash processes.

Additional info:
It will still crash eventually but if I don't log in
it may run several hours before locking up.]

NOTE:
Mainly/Only use ssh, mail and web page.
Samba, telnet and ftp not even on the system.  I think my ipchains
is pretty strong.  Also a 6 hour memory test reveals no errors.

Comment 1 Tim Waugh 2003-03-26 17:04:42 UTC
This doesn't sound like a bash bug, but more like a misconfigured .bashrc in
your home directory or something.  What's in .bashrc?

Comment 2 Carl Eaton 2003-03-29 01:25:02 UTC
I commented EVERYTHING out in /home/(loginname)/.bashrc and
/etc/bashrc.  Can't readily discover what is sucking up the memory now
but it slowly erodes away slow enough I am getting my data
dumped to another system and then will scratch the disk.
Thanks


Note You need to log in before you can comment on or make changes to this bug.